petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMMoabCreateElement

Adds an element of specified type to the primary set represented by the DM.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateElement(DM dm, const moab::EntityType type, const moab::EntityHandle* conn, PetscInt nverts, moab::EntityHandle* oelem)

Collective on MPI_Comm

### Input Parameters

| dm | - The DM object
| type | - The type of element to create and add (Edge/Tri/Quad/Tet/Hex/Prism/Pyramid/Polygon/Polyhedra)
| conn | - The connectivity of the element
| nverts | - The number of vertices that form the element

### Output Parameter

| oelem | - The handle to the element created and added to the DM object

### Keywords

DM, create element

### See Also

DMMoabCreateSubmesh(), DMMoabCreateVertices()

### Level

beginner

### Location

src/dm/impls/moab/dmmoab.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages